Change resume/suspend to do_resume/do_suspend to avoid name clash.
--- diff/drivers/md/dm-ioctl.c	2003-10-15 13:41:01.000000000 +0100
+++ source/drivers/md/dm-ioctl.c	2003-10-15 13:41:17.000000000 +0100
@@ -593,7 +593,7 @@
 	return dm_hash_rename(param->name, new_name);
 }
 
-static int suspend(struct dm_ioctl *param)
+static int do_suspend(struct dm_ioctl *param)
 {
 	int r = 0;
 	struct mapped_device *md;
@@ -612,7 +612,7 @@
 	return r;
 }
 
-static int resume(struct dm_ioctl *param)
+static int do_resume(struct dm_ioctl *param)
 {
 	int r = 0;
 	struct hash_cell *hc;
@@ -675,9 +675,9 @@
 static int dev_suspend(struct dm_ioctl *param, size_t param_size)
 {
 	if (param->flags & DM_SUSPEND_FLAG)
-		return suspend(param);
+		return do_suspend(param);
 
-	return resume(param);
+	return do_resume(param);
 }
 
 /*
